LiteralProcessor.DecimalLiteralFormat (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.hql.internal.ast.util
Enum LiteralProcessor.DecimalLiteralFormat

    java.lang.Object
      java.lang.Enum<LiteralProcessor.DecimalLiteralFormat>
          org.hibernate.hql.internal.ast.util.LiteralProcessor.DecimalLiteralFormat

All Implemented Interfaces:
  Serializable, Comparable<LiteralProcessor.DecimalLiteralFormat>

Enclosing class:
  LiteralProcessor

    public static enum LiteralProcessor.DecimalLiteralFormat

extends Enum<LiteralProcessor.DecimalLiteralFormat>

Enum Constant Summary
`APPROXIMATE` Indicates that Float and Double literal values should be treated using the SQL "approximate" format (i.e., '1E-3')
`EXACT` Indicates that Float and Double literal values should be treated using the SQL "exact" format (i.e., '.001')

Method Summary
`abstract org.hibernate.hql.internal.ast.util.LiteralProcessor.DecimalFormatter` | `getFormatter()`
`static LiteralProcessor.DecimalLiteralFormat` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static LiteralProcessor.DecimalLiteralFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EXACT

    public static final LiteralProcessor.DecimalLiteralFormat EXACT

  Indicates that Float and Double literal values should be treated using the SQL "exact" format (i.e., '.001')

### APPROXIMATE

    public static final LiteralProcessor.DecimalLiteralFormat APPROXIMATE

  Indicates that Float and Double literal values should be treated using the SQL "approximate" format (i.e., '1E-3')

Method Detail

### values

    public static LiteralProcessor.DecimalLiteralFormat[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (LiteralProcessor.DecimalLiteralFormat c : LiteralProcessor.DecimalLiteralFormat.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static LiteralProcessor.DecimalLiteralFormat valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getFormatter

    public abstract org.hibernate.hql.internal.ast.util.LiteralProcessor.DecimalFormatter getFormatter()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.